CNWCTL(8)

NAME
cnwctl - display statistics and control Netwave AirSurfer PC Cards

SYNOPSIS
cnwctl [-d domain] [-i interface] [-k scramble-key] [-sS [rate]]

DESCRIPTION
The cnwctl utility is used to control Netwave AirSurfer PC Cards as well as display statistics. The following options are available:

-d  Set the domain of the card to domain. The domain must be between 0x000 and 0x1ff. The domains 0x000 through 0x0ff are for access to an add-hoc network. The domains 0x100 through 0x1ff are for access to a Netwave Access Point. The default domain is 0x000. A card may only talk to the access point in its domain, or other cards in its add-hoc domain.

-i  Use interface as the interface rather than cnw0.

-k  Set the scramble key to scramble-key. The scramble key must be between 0x0000 and 0xffff. Both the source and the destination must use the same scramble key in order to communicate.

-s  Display statistics. When the optional argument rate (which must be the last argument to the end of the command line) is specified as a non-zero value, statistics will be displayed every rate seconds. At the top of each “page” of statistics, column labels will be displayed. The first row of statistics will be totals since boot, subsequent lines are deltas from the previous row. If rate is not specified, or is 0 (zero), a single page of statistics will be displayed. These statistics are more detailed and include:

    domain
        The domain this card is part of.

    rx  Number of packets received.

    rxoverflow
        Number of overflows detected.

    rxoverrun
        Number of overruns detected.

    rxcrcerror
        Number of CRC errors detected. Random noise can cause these errors.

    rxframe
        Number of framing errors detected.

    rxerrors
        Number of generic errors detected.

    rxavail
        Number of times a packet was available.

    tx  Number of packets requested to be sent.

    txokay
        Number of packets sent.

    txabort
        Number of packets aborted (not sent within 9 tries).

    txlostcd
        Number of times carrier detect was lost.

    txerrors
        Number of generic transmit errors detected.

    txretries
        Total number of retries.

    Nx retries
        Number of packets which were retried N times.

-S  Display status read from the hardware. This option is only available to the super user. The rate argument is used as with the -s option. The following fields are displayed

    link integrity field (lif)
        A 0 value implies no links.

    connection quality (cq)
        Probably indicates the quality of the connection to the access point.

    spu Unknown meaning.

    link quality (lq)
        Probably indicated the quality of the link to the access point.

    hhc Unknown meaning.

    mhs Unknown meaning.

    revision
        The revision numbers of the card.

    id  The ID of the card.

SEE ALSO
cnw(4)